package com.jorpelu.ServicioDeProductos.dao;

import com.jorpelu.ServicioDeProductos.model.Producto;
import org.springframework.util.ResourceUtils;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

public class Parser {
    public static List<Producto> readFile(final String path, String separator) {
        List<Producto> result = new ArrayList<>();
        try {
            result = Files.lines(Paths.get(ResourceUtils.getFile(path).toURI())).
                    skip(1).
                    map(line->{
                        String[] values = line.split(separator);
                        return new Producto(Integer.parseInt(values[0]), values[1], values[2], Integer.parseInt(values[3]), Float.parseFloat(values[4]) );
                    }).collect(Collectors.toList());
        } catch (IOException e) {
            System.out.println("Error al leer el archivo"+ e.getMessage());
        }


        return result;
    }
}
