package com.jorpelu.ServicioDeProductos.dao;

import com.jorpelu.ServicioDeProductos.config.AppConfig;
import com.jorpelu.ServicioDeProductos.model.Producto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;
@Repository
public class ProductosDaoImplMemory implements ProductosDao {
    List<Producto> productos = new ArrayList<>();

    @Autowired
    private AppConfig appConfig;

    @Override
    public Producto findByIndex(int index) {
        return productos.get(index);
    }

    @Override
    public List<Producto> findAll() {
        return productos;
    }

    @Override
    public void insert(Producto producto) {
        productos.add(producto);
    }

    @Override
    public void edit(int index, Producto producto) {
        productos.remove(index);
        productos.add(index,producto);
    }

    @Override
    public void delete(int index) {
        productos.remove(index);
    }

    @Override
    public void delete(Producto producto) {
        productos.remove(producto);
    }

    @PostConstruct
    public void init() {
        productos = Parser.readFile(appConfig.getFile(), appConfig.getSeparator());
//        productos.add(new Producto(1,"pr1", "ds1", 100 , (float) 3.2));
//        productos.add(new Producto(2,"pr2", "ds2", 200 , (float) 3.3));
//        productos.add(new Producto(3,"pr3", "ds3", 300 , (float) 3.4));
//        productos.add(new Producto(4,"pr4", "ds4", 400 , (float) 3.5));
    }
}
